<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li class="current"><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_p.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>Parent()
: <a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">flair::core::Object</a>
</li>
<li>parseFrame()
: <a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8">flair::sensor::NmeaGps</a>
</li>
<li>Picture()
: <a class="el" href="classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124">flair::gui::Picture</a>
</li>
<li>Pid()
: <a class="el" href="classflair_1_1filter_1_1_pid.html#a6505c295f5e719f1d85620b44c62d619">flair::filter::Pid</a>
</li>
<li>PidThrust()
: <a class="el" href="classflair_1_1filter_1_1_pid_thrust.html#ab46191511449bc44699102a239eb82f6">flair::filter::PidThrust</a>
</li>
<li>Pitch
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956">flair::core::AhrsData</a>
</li>
<li>pitch
: <a class="el" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">flair::core::Euler</a>
</li>
<li>PitchDeg
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a">flair::core::AhrsData</a>
</li>
<li>PitchPlot()
: <a class="el" href="classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217">flair::filter::Ahrs</a>
</li>
<li>PitchTrim()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a642723322805c3e556eb455f3ad83ba2">flair::filter::JoyReference</a>
</li>
<li>PitchTrimDown()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#a78869c2adb38a63d12615f15d2412e56">flair::filter::JoyReference</a>
</li>
<li>PitchTrimUp()
: <a class="el" href="classflair_1_1filter_1_1_joy_reference.html#ad43dee3ce4529912cf4a3eb640b9e7db">flair::filter::JoyReference</a>
</li>
<li>PlotableData_t
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">flair::core::AhrsData</a>
, <a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d">flair::core::GpsData</a>
, <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">flair::core::ImuData</a>
</li>
<li>Position()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#af6af3476756c395c0903aea16f6df452">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>PressureSensor()
: <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html#a6558591ceeb43836caa9595a4217129e">flair::sensor::PressureSensor</a>
</li>
<li>Prev()
: <a class="el" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">flair::core::io_data</a>
</li>
<li>prev
: <a class="el" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">flair::core::io_data</a>
</li>
<li>ProcessUpdate()
: <a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">flair::core::IODevice</a>
</li>
<li>Ps3Eye()
: <a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html#adde74963beadd2fd995d4eaca6768c8e">flair::sensor::Ps3Eye</a>
</li>
<li>PushButton()
: <a class="el" href="classflair_1_1gui_1_1_push_button.html#a5609fce99b4f89e131f5d61f46c0a0cf">flair::gui::PushButton</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
